Summary: Enhanced backup plugin for J-Pilot
Name: jpilot-backup
Version: 0.60
Release: 6%{dist}
License: GPLv2+
Group: Applications/Productivity
Source: http://www.jlogday.com/code/jpilot-backup/%{name}-%{version}.tar.gz
Patch0: jpilot-backup-libdir.patch
URL: http://www.jlogday.com/code/jpilot-backup/
Requires: jpilot >= 0.99.2
BuildRequires: pilot-link-devel
BuildRequires: gtk2-devel
BuildRequires: gdbm-devel
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

# pilot-link excludes s390 and s390s, as such I must also exclude those arches
ExcludeArch: s390 s390x

%description
Features include multiple archives, automatic backups at user-specified times,
and the ability to specify which databases to backup.

%prep
%setup -n %{name}-%{version} -q
%patch0 -p1 -b .libdir

%build
%ifarch x86_64 ppc64 s390x
%configure --libdir=/lib64/jpilot/plugins
%else
%configure --libdir=/lib/jpilot/plugins
%endif

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT%{_prefix} install

# manually remove the static library
# as --disable-static flag to ./configure does not help
rm  $RPM_BUILD_ROOT%{_libdir}/jpilot/plugins/libbackup.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README README.NFS ChangeLog COPYING CREDITS TODO
%{_libdir}/jpilot/plugins/libbackup.so

%changelog
* Sun Mar 14 2010 Patrick C. F. Ernzer <jpilot-backup.spec@pcfe.net> 0.60-6
- Rebuilt for gdbm soname change

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.60-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue May 26 2009 Patrick C. F. Ernzer <jpilot-backup.spec@pcfe.net> 0.60-4
- added a comment as to why I exclude s390 and s390s

* Tue May 26 2009 Patrick C. F. Ernzer <jpilot-backup.spec@pcfe.net> 0.60-3
- pilot-link excludes s390 and s390s, so this package needs to do the same

* Wed Feb 25 2009 Patrick C. F. Ernzer <jpilot-backup.spec@pcfe.net> 0.60-2
- fixed patch with help of Phil K. Thanks

* Sat Feb 21 2009 Patrick C. F. Ernzer <jpilot-backup.spec@pcfe.net> 0.60-1
- bump to 0.60
- new site for jpilot-backup

* Tue Dec 16 2008 Patrick C. F. Ernzer <jpilot-backup.spec@pcfe.net> 0.53-5
- incorporate feedback from Bug 474768 Comments #5

* Wed Dec 10 2008 Patrick C. F. Ernzer <jpilot-backup.spec@pcfe.net> 0.53-4
- incorporate feedback from Bug 474768 Comments #1, #2 and #3

* Fri Dec 05 2008 Patrick C. F. Ernzer <jpilot-backup.spec@pcfe.net> 0.53-3
- minor cleanups to remove rpmlint warnings
- BuildRequires gtk2-devel and gdbm-devel added
- Requires gdbm added

* Thu Nov 27 2008 Patrick C. F. Ernzer <jpilot-backup.spec@pcfe.net> 0.53-2
- add libdir patch so this compiles on x86_64

* Thu Jun 14 2007 Patrick C. F. Ernzer <jpilot-backup.spec@pcfe.net> 0.53
- bump to 0.53
- changed obsolete Copyright tag to current License tag

* Wed Jan 29 2003 Jason Day <jasonday@worldnet.att.net> 0.50
- Added README.NFS to docs

* Thu Oct 14 2002 Jason Day <jasonday@worldnet.att.net> 0.43
- Bump version

* Mon May 14 2002 Jason Day <jasonday@worldnet.att.net> 0.42
- Minor misc cleanup
- Added TODO to dist files

* Sun Apr  7 2002 Jason Day <jasonday@worldnet.att.net> 0.41.2-1
- incorporated Sylvain's changes into main trunk, making patch
  unnecessary

* Sat Feb  9 2002 Sylvain Holtzer <sylvain.holtzer@free.fr> 0.41.2-0.sho1
- minor fixes : "version" upgraded ; requires jpilot-0.99.2 ;
- added sho1.patch, so we don't need superuser privileges (Makefile.in,
  and this .spec - see (v01) pattern) ;
- used rpm macros, and "make install" ;
- installs libbackup.la ;

